ConstraintsEvaluator (Grails 6.0.0)

Package: grails.validation

## [Java] Interface ConstraintsEvaluator

-     @java.lang.Deprecated
      public interface ConstraintsEvaluator

  Evaluates and returns constraints.

  deprecated:
    Use org.grails.datastore.gorm.validation.constraints.eval.ConstraintsEvaluator instead
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `java.lang.String` | `BEAN_NAME` |
    `java.lang.String` | `CONSTRAINTS_GROOVY_SCRIPT` |
    `java.lang.String` | `PROPERTY_NAME` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls)` Evaluate constraints for the given class
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class cls, boolean defaultNullable)` Evaluate constraints for the given class
    `` | `public java.util.Map<java.lang.String, Constrained>` | `evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure adHocConstraintsClosures)` Evaluate constraints for the given class
    `` | `public java.util.Map<java.lang.String, java.lang.Object>` | `getDefaultConstraints()` The default constraints to use

- - ### Field Detail

    - #### java.lang.String BEAN_NAME

    - #### java.lang.String CONSTRAINTS_GROOVY_SCRIPT

    - #### java.lang.String PROPERTY_NAME

  - ### Method Detail

    - #### public java.util.Map<java.lang.String, Constrained> evaluate(@java.lang.SuppressWarnings("rawtypes") java.lang.Class cls)

      Evaluate constraints for the given class

      Parameters:
        `cls` - The class to evaluate constraints for
      Returns:
        A map of constrained properties

    - #### public java.util.Map<java.lang.String, Constrained> evaluate(@java.lang.SuppressWarnings("rawtypes") java.lang.Class cls, boolean defaultNullable)

      Evaluate constraints for the given class

      Parameters:
        `cls` - The class to evaluate constraints for
        `defaultNullable` - indicates if properties are nullable by default
      Returns:
        A map of constrained properties

    - #### public java.util.Map<java.lang.String, Constrained> evaluate(java.lang.Class<?> cls, boolean defaultNullable, boolean useOnlyAdHocConstraints, groovy.lang.Closure adHocConstraintsClosures)

      Evaluate constraints for the given class

      Parameters:
        `cls` - The class to evaluate constraints for
        `defaultNullable` - indicates if properties are nullable by default
        `useOnlyAdHocConstraints` - indicates if evaluating without pre-declared constraints
        `adHocConstraintsClosures` - ad-hoc constraints to evaluate for
      Returns:
        A map of constrained properties

    - #### public java.util.Map<java.lang.String, java.lang.Object> getDefaultConstraints()

      The default constraints to use

      Returns:
        A map of default constraints